[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomListBox.Click

Performs the Changed method when the control is clicked.

## Declaration

Source position: stdctrls.pp line 615

`public procedure TCustomListBox.Click; override;`

## Description

Click is an overridden method in TCustomListBox, and calls the inherited method on entry. Click calls the Changed method (inherited from TControl) to perform the CM_CHANGED control message. Click is used in the implementation of the DoSelectionChange method when the control is changed by a user interaction.

## See also

TCustomListBox.DoSelectionChange |  | Signals the OnSelectionChange handler.
TControl.Changed |  | Performs actions needed when the value for the control has been changed.
TControl.Click |  | Signals OnClick and/or executes the ActionLink when the control has been clicked.